=== debian/changelog ===
deepin-calculator (6.5.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Rebuild against new libdtk.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:51:51 -0500
