=== debian/control ===
Source: deepin-calculator
Section: math
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Tu Qinggang <tuqinggang@uniontech.com>,
 Clay Stan <claystan97@gmail.com>,
 qinxialei <xialeiqin@gmail.com>,
 Nisha Pariyar <nishapariyar48@gmail.com>,
 Raju Devidas <mail@raju.dev>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 lcov,
 libdframeworkdbus-dev (>= 6),
 libdtkgui-dev (>= 5.7.8),
 libdtkwidget-dev (>= 5.7.8),
 libgmock-dev,
 libgtest-dev,
 libqt5svg5-dev,
 pkgconf,
 qtbase5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/deepin-calculator
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-calculator.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-calculator

Package: deepin-calculator
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Calculator for DDE (Deepin Desktop Environment)
 An easy to use calculator for ordinary users.
 .
 This package is part of DDE (Deepin Desktop Environment).
