=== debian/changelog ===
deepin-calculator (6.5.12) unstable; urgency=medium

  * New version 6.5.12. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 11:08:19 +0800

deepin-calculator (6.5.11) unstable; urgency=medium

  * Update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 09:38:24 +0800

deepin-calculator (6.5.10) unstable; urgency=medium

  * chore: New version 6.5.10.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 02 Apr 2025 15:55:22 +0800

deepin-calculator (6.5.9) unstable; urgency=medium

  *Bump version to 6.5.9 

 -- Wang Yu <wangyu@uniontch.com>  Fri, 07 Mar 2025 11:09:45 +0800

deepin-calculator (6.5.8) unstable; urgency=medium

  * Bump version to 6.5.8

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:25:28 +0800

deepin-calculator (6.5.7) unstable; urgency=medium

  * Update version to 6.5.7
  * Update linglong.yaml for new base

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Feb 2025 14:35:51 +0800

deepin-calculator (6.5.6) unstable; urgency=medium

  * Update version to 6.5.6

 -- wangrong <wangrong@uniontech.com>  Tue, 21 Jan 2025 16:29:23 +0800

deepin-calculator (6.5.5) unstable; urgency=medium

  * New tag

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 20 Jan 2025 14:12:52 +0800

deepin-calculator (6.5.4) unstable; urgency=medium

  * chore: New version 6.5.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 11:32:12 +0800

deepin-calculator (6.5.3) unstable; urgency=medium

  * Update version to 6.5.3

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:40:35 +0800

deepin-calculator (6.5.2) unstable; urgency=medium

  * Update version to 6.5.2

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:43:55 +0800

deepin-calculator (6.5.1) unstable; urgency=medium

  * Update version to 6.5.1

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 13:49:04 +0800

deepin-calculator (6.5.0) unstable; urgency=medium

  * chore: Bump version to 6.5.0

 -- wangrong <wangrong@uniontech.com>  Wed, 16 Oct 2024 15:35:14 +0800

deepin-calculator (6.0.2) unstable; urgency=medium

  * chore: Adapt linglong.

 -- wangrong <wangrong@uniontech.com>  Sat, 12 Oct 2024 10:22:23 +0800
