## deepin-calculator 6.5.16

=== debian/changelog ===
deepin-calculator (6.5.16) unstable; urgency=medium

  * bump version to 6.5.16

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 11:41:39 +0800

deepin-calculator (6.5.15) unstable; urgency=medium

  * bump version to 6.5.15

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 18 Jun 2025 17:51:56 +0800

deepin-calculator (6.5.14) unstable; urgency=medium

  * chore: Update deepin-calculator version to 6.5.13.1 in configuration files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 18 Jun 2025 17:06:35 +0800

deepin-calculator (6.5.13) unstable; urgency=medium

  * update damn's version

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 18 Jun 2025 16:05:27 +0800
