## deepin-calculator 6.5.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wl,--as-needed -fPIE")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIE")
 set(QT_MINIMUM_VERSION "6.0.0")
 set(CMAKE_EXE_LINKER_FLAGS "-pie")
