=== debian/changelog ===
deepin-calculator (6.5.20) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 17:07:11 +0800

deepin-calculator (6.5.19) unstable; urgency=medium

  * Update version to 6.5.19. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 03 Jul 2025 11:02:49 +0800

deepin-calculator (6.5.18) unstable; urgency=medium

  * chore: update package URLs and digests in linglong.yaml files for all architectures

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Jul 2025 10:49:16 +0800

deepin-calculator (6.5.17) unstable; urgency=medium

  * update version to 6.5.17. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 20:41:36 +0800
