## deepin-calculator 6.5.24

=== debian/changelog ===
deepin-calculator (6.5.24) unstable; urgency=medium

  * chore: Update translations for Lao locale (#166)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 15:40:20 +0800

deepin-calculator (6.5.23) unstable; urgency=medium

  * Update version to 6.5.23. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 17:36:15 +0800

deepin-calculator (6.5.22) unstable; urgency=medium

  * chore: update linglong source

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 01 Aug 2025 10:16:33 +0800

deepin-calculator (6.5.21) unstable; urgency=medium

  * chore: update changelog

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 31 Jul 2025 21:34:52 +0800
