=== debian/changelog ===
deepin-calculator (6.5.27) unstable; urgency=medium

  * Update version to 6.5.27. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 16 Oct 2025 19:08:12 +0800

deepin-calculator (6.5.26) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 10:18:11 +0800

deepin-calculator (6.5.25) unstable; urgency=medium

  * Update version to 6.5.25. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 27 Aug 2025 11:31:33 +0800
