=== debian/control ===
Source: deepin-calculator
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends: 
    debhelper (>= 9),
    cmake,
    pkg-config,
    libdtk6gui-dev,
    libdtk6widget-dev,
    qt6-svg-dev,
    qt6-tools-dev,
    qt6-tools-dev-tools,
    libgtest-dev,
    libgmock-dev,
    qt6-base-dev,
    qt6-base-dev-tools,
    qt6-base-private-dev,
    qt6-l10n-tools
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-calculator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Calculator for UOS
 Calculator is a simple and easy-to-use desktop calculator. It supports addition, subtraction, multiplication and division with keyboard input perfectly matched, as well as symbolic fault-tolerant computing and calculation result linkage.
