=== debian/changelog ===
deepin-calculator (6.5.29) unstable; urgency=medium

  * Update version to 6.5.29.

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 21 Nov 2025 09:52:57 +0800

deepin-calculator (6.5.28) unstable; urgency=medium

  * update version to 6.5.28

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 30 Oct 2025 17:12:35 +0800
